import React from 'react'

const CommitmentCard = ({ icon, label, description }: { icon: React.ReactElement, label: string, description: string }) => {
    return (
        <div className="p-5 gap-6 rounded-3xl border border-white_opacity-3 backdrop-blur bg-stone_opacity-400 flex flex-col justify-center items-center">
            {icon}
            <div className="gap-3 text-center flex flex-col">
                <h4 className="text-2xl font-semibold tracking-tight">Established Excellence</h4>
                <p className="text-base text-stone-700">With a history of success, we're your dependable ally for achieving your business objectives.</p>
            </div>
        </div>
    )
}

export default CommitmentCard